## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           libgedit-amtk
Version:        5.9.0
Release:        %autorelease
Summary:        Gedit Technology - Actions, Menus and Toolbars Kit
License:        LGPL-3.0-or-later
URL:            https://gedit-text-editor.org/
Source:         https://download.gnome.org/sources/libgedit-amtk/5.9/%{name}-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)

# renamed upstream except for the gobject-introspection
Conflicts:      amtk < %{version}-%{release}

%description
Amtk is the acronym for “Actions, Menus and Toolbars Kit”. It is a basic
GtkUIManager replacement based on GAction. It is suitable for both a
traditional UI or a modern UI with a GtkHeaderBar.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
# renamed upstream except for the gobject-introspection
Provides:       amtk-devel = %{version}-%{release}
Obsoletes:      amtk-devel < %{version}-%{release}
Conflicts:      amtk-devel < %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install
# API is unchanged, so provide the old name for compatibility
ln -s libgedit-amtk-5.pc %{buildroot}%{_libdir}/pkgconfig/amtk-5.pc

%find_lang %{name}-5


%files -f %{name}-5.lang
%license LICENSES/LGPL-3.0-or-later.txt
%doc NEWS README.md
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Amtk-5.typelib
%{_libdir}/libgedit-amtk-5.so.0{,.*}

%files devel
%{_includedir}/libgedit-amtk-5/
%{_libdir}/libgedit-amtk-5.so
%{_libdir}/pkgconfig/amtk-5.pc
%{_libdir}/pkgconfig/libgedit-amtk-5.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Amtk-5.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libgedit-amtk-5/


%changelog
## START: Generated by rpmautospec
* Tue Mar 25 2025 John Doe <packager@example.com> - 5.9.0-1
- Uncommitted changes
## END: Generated by rpmautospec
